{% extends "base_dashboard.html" %}
{% load i18n %}
{% block title %}{% trans "Koperasi" %} :: {{ block.super }}{% endblock %}

{% block breadcrumb %}
  <nav class="uk-navbar-container uk-navbar-transparent" uk-navbar>
    <div class="uk-navbar-left">
      <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
        <li><a class="spf-link" href="/">{% trans "Beranda" %}</a></li>
        <li><a class="spf-link" href="{% url 'dashboard_it_officer' %}">{% trans "Dashboard" %}</a></li>
        <li><span>{% trans "Koperasi" %}</span></li>
      </ul>
    </div>
    <div class="uk-navbar-right">
      <form class="uk-nav-nav" action="." method="get">
        <input name="q" {% if query %}value="{{ query }}"{% endif %} class="uk-input uk-form-width-medium" type="text" placeholder="{% trans 'Cari ...' %}" required>
        <button type="submit" class="uk-button uk-button-primary">
          <span uk-icon="icon: search"></span>
        </button>
      </form>
    </div>
  </nav>
{% endblock %}

{% block content %}
  <div class="uk-margin uk-overflow-auto-disabled">
    <table class="uk-table uk-table-small uk-table-striped uk-table-hover uk-table-responsive">
      <thead>
        <tr>
          <th>{% trans "Pengguna" %}</th>
          <th>{% trans "Nama" %}</th>
          <th>{% trans "Alamat" %}</th>
          <th>{% trans "Dibuat" %}</th>
        </tr>
      </thead>
      <tbody>
        {% for cooperative in cooperatives %}
          <tr>
            <td>{{ cooperative.user }} {% if cooperative.user.profile.full_name %}&bull; {{ cooperative.user.profile.full_name }}{% endif %}</td>
            <td>{{ cooperative.name }}</td>
            <td>{{ cooperative.address }}</td>
            <td>{{ cooperative.created }}</td>
          </tr>
        {% empty %}
          <tr>
            <td colspan="4">
              <div class="uk-card uk-card-default uk-margin">
                <div class="uk-card-body">
                  <span uk-icon="info"></span> &nbsp; {% trans "Koperasi tidak ada!" %}
                </div>
              </div>
            </td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>

  {% if is_paginated %}
    <div class="uk-width-1-1@m">
      <hr class="uk-divider-icon">
      <ul class="uk-pagination">
        {% if page_obj.has_previous %}
          <li><a {% if page_obj.has_previous %}href="?page={{ page_obj.previous_page_number }}{% if query %}&amp;q={{ query }}{% endif %}"{% endif %}><span class="uk-margin-small-right" uk-pagination-previous></span> {% trans "Sebelumnya" %}</a>
          </li>
        {% endif %}
        {% if page_obj.has_next %}
          <li class="uk-margin-auto-left">
            <a {% if page_obj.has_next %}href="?page={{ page_obj.next_page_number }}{% if query %}&amp;q={{ query }}{% endif %}"{% endif %}>{% trans "Selanjutnya" %} <span class="uk-margin-small-left" uk-pagination-next></span></a>
          </li>
        {% endif %}
      </ul>
    </div>
  {% endif %}
{% endblock %}
